%define major 4
%define girmajor 0.7
%define libname %mklibname notify %{major}
%define girname %mklibname notify-gir %{girmajor}
%define devname %mklibname notify -d

Summary:	Desktop notifications library
Name:		libnotify
Version:	0.7.6
Release:	1
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.galago-project.org/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libnotify/0.7/%{name}-%{version}.tar.xz
BuildRequires:	gtk-doc
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gtk+-3.0) >= 2.90
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(popt)
Requires:	virtual-notification-daemon

%description
A library that sends desktop notifications to a notification daemon, as
defined in the Desktop Notifications spec. These notifications can be
used to inform the user about an event or display some form of
information without getting in the user's way.

%files
%{_bindir}/*

#----------------------------------------------------------------------------

%package -n %{libname}
Group:		System/Libraries
Summary:	Desktop notifications library - shared library

%description -n %{libname}
A library that sends desktop notifications to a notification daemon, as
defined in the Desktop Notifications spec. These notifications can be
used to inform the user about an event or display some form of
information without getting in the user's way.

%files -n %{libname}
%{_libdir}/lib*.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{girname}
Group:		System/Libraries
Summary:	GObject Introspection interface library for %{name}
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface library for %{name}.

%files -n %{girname}
%{_libdir}/girepository-1.0/Notify-%{girmajor}.typelib

#----------------------------------------------------------------------------

%package -n %{devname}
Group:		Development/C
Summary:	Desktop notifications library - headers
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname -d notify 1} < 0.7

%description -n %{devname}
A library that sends desktop notifications to a notification daemon, as
defined in the Desktop Notifications spec. These notifications can be
used to inform the user about an event or display some form of
information without getting in the user's way.

%files -n %{devname}
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/gtk-doc/html/*
%{_datadir}/gir-1.0/Notify-%{girmajor}.gir

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x \
	--disable-static

%make LIBS='-lgmodule-2.0'

%install
rm -rf %{buildroot}
%makeinstall_std

%changelog

* Sat Apr 23 2016 dsilakov <denis.silakov@rosalab.ru> 0.7.6-1
- (2c208e5) Merge pull request #1 from alzim/libnotify:rosa2014.1
- (2c208e5) Updated 0.7.6


